<div
  class="full-width overflow-hidden m-b-20"
  [formGroup]="subFormGroup"
  [attr.data-test-element-id]="reportInput.name"
>
  <div>
    <span class="label-color" [attr.data-test-element-id]="'criteria-name'">{{
      reportInput.label
    }}</span>
    <!--    As 2.0 the only possible error here is 'required' so no need to make multiple error system-->
    @if (errors) {
      <span
        [attr.data-test-element-id]="'criteria-errors'"
        class="m-l-10 sqtm-core-error-message"
      >
        {{ 'sqtm-core.validation.errors.required' | translate }}
      </span>
    }
  </div>
  <div class="full-width p-l-20">
    <div
      style="
        display: grid;
        grid-column-gap: 10px;
        grid-template-columns: max-content 200px;
        grid-row-gap: 10px;
      "
    >
      @for (input of reportInput.inputs; track input) {
        @switch (input.type) {
          @case (ReportInputType.DATE) {
            <sqtm-core-label
              class="m-r-10"
              [text]="input.label"
            ></sqtm-core-label>
            <nz-date-picker [formControlName]="input.name"></nz-date-picker>
          }
        }
      }
    </div>
  </div>
</div>
